# $Revision: 1.16 $, $Date: 2012/03/11 12:04:53 $
Summary:	A simple painting program
Summary(pl.UTF-8):	Prosty program graficzny
Name:		mtpaint
Version:	3.40
Release:	4
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/mtpaint/%{name}-%{version}.tar.bz2
# Source0-md5:	957c8035dd62c6bfdb594cd0a4467d22
Source1:	%{name}.desktop
URL:		http://mtpaint.sourceforge.net/
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.27
BuildRequires:	libtiff-devel
BuildRequires:	openjpeg-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRequires:	zlib-devel
Requires:	desktop-file-utils
Requires:	shared-mime-info
Suggests:	gifsicle
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple GTK+ paint program.

%description -l pl.UTF-8
Prosty program graficzny oparty na bibliotece GTK+.

%prep
%setup -q

%build
./configure gtk2 thread GIF man pod intl jpeg jp2 tiff \
	--mandir=%{_mandir}/man1 \
	--prefix=%{_prefix}
cat >> _conf.txt <<'EOF'
LDFLAG += %{rpmldflags}
CFLAG  += %{rpmcflags}
CC = %{__cc} -Wall -Wno-pointer-sign
EOF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install src/icons1/icon.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
umask 022
update-mime-database %{_datadir}/mime ||:

%postun
%update_desktop_database_postun
if [ $1 = 0 ]; then
        umask 022
        update-mime-database %{_datadir}/mime
fi


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mtpaint.spec,v $
Revision 1.16  2012/03/11 12:04:53  arekm
- release 4

Revision 1.15  2012/02/12 08:12:00  arekm
- release 3

Revision 1.14  2012/02/07 22:04:51  arekm
- release 2

Revision 1.13  2012/01/11 20:49:11  lkrotowski
- up to 3.40

Revision 1.12  2011/12/20 19:35:30  arekm
- release 3

Revision 1.11  2010/02/23 01:10:34  sparky
- BR: pkgconfig, which

Revision 1.10  2010/02/22 22:45:09  evil
- specify to build with jpeg/GIF/tiff support instead of autodetection

Revision 1.9  2010/02/22 21:48:58  evil
- fixed building against new libpng by adding appropiate patch

Revision 1.8  2009/10/12 21:53:20  sparky
- fix compile flags

Revision 1.7  2009/10/12 21:18:40  evil
- updated to 3.31
- license changed to GPL v3+
- BR: openjpeg-devel
- S: gifsicle
- added proper man directory
- removed no longer needed sed rule
- fixed typos

Revision 1.6  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.4  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.3  2006/04/14 17:03:18  qboosh
- files fix, cosmetics

Revision 1.2  2006/04/09 15:13:42  japhy
- Updated .desktop to set MIME types
- Update desktop and MIME databases, R: accordingly
- BR: sorted
- Rel 1

Revision 1.1  2006/04/09 13:17:25  japhy
- New spec file.
